Subject: Re: RFC: vesafb

From: [email-masked]
Date: Thu, 24 Jan 2002 16:17:36 -0600

On Thu, Jan 24, 2002 at 05:42:46AM +0100, Michel Lanners wrote:
> On  23 Jan, this message from [email-masked] echoed through cyberspace:
> > The attached patch allows vesafb to work on PPC. vesafb does surprisingly
> > little with the BIOS (which I thought was the whole point of VESA). With
> > some ifdef's I'm able to use it as sort of a VGA offb -- the firmware
> > initializes the card, and the driver just uses it and never mucks with it.
>
> Wouldn't this be a good start to use generic PC-type grafic cards on PPC
> machines in general? Or do you lack initialization if nobody (neither
> firmware nor OS) can talk to the card 'natively'?

Yes, we would lack initialization on Power Mac (for example). PReP firmware
does proper setup for a very limited range of chips, which is why this is
useful at all.

-Hollis

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/